- HTTP request
- Path parameters
- Request body
- Response body
- Authorization scopes
- IAM Permissions
- Try it!
Returns information about available accelerator topologies for a given MIG.
HTTP request
GET https://compute.googleapis.com/compute/beta/projects/{project}/zones/{zone}/instanceGroupManagers/{resourceId}/getAvailableAcceleratorTopologies The URLs use gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
project |
Required. Project ID for this request. |
zone |
Required. The name of the zone where the managed instance group is located. Name should conform to RFC1035. |
resourceId |
Required. The name of the managed instance group. It should conform to RFC1035. |
Request body
The request body must be empty.
Response body
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{ "acceleratorTopologiesInfo": { string: { "acceleratorTopology": string, "acceleratorTopologyHealth": enum, "instancesHealth": enum, "acceleratorTopologyState": { "currentState": enum, "externalId": string, "error": { "errors": [ { "code": string, "location": string, "message": string, "errorDetails": [ { "errorInfo": { "reason": string, "domain": string, "metadatas": { string: string, ... } }, "quotaInfo": { "metricName": string, "limitName": string, "dimensions": { string: string, ... }, "limit": number, "futureLimit": number, "rolloutStatus": enum }, "help": { "links": [ { "description": string, "url": string } ] }, "localizedMessage": { "locale": string, "message": string } } ] } ] }, "errorTimestamp": string }, "parent": string }, ... }, "multiMig": string } |
| Fields | |
|---|---|
acceleratorTopologiesInfo[] |
The accelerator topology information returned per id of the topology location. |
acceleratorTopologiesInfo[].acceleratorTopology |
Topology in the format of: "16x16", "4x4x4", etc. |
acceleratorTopologiesInfo[].acceleratorTopologyHealth |
|
acceleratorTopologiesInfo[].instancesHealth |
|
acceleratorTopologiesInfo[].acceleratorTopologyState |
|
acceleratorTopologiesInfo[].acceleratorTopologyState.currentState |
|
acceleratorTopologiesInfo[].acceleratorTopologyState.externalId |
Identifier of the accelerator topology assigned externally to differentiate who is the owner of the topology. This is set in instanceGroupManagers.configureAcceleratorTopologies. If it is provided on activating the sub-slice it will have to be provided on deactivating as well. This identifier is cleared on successful deform of a sub-slice. |
acceleratorTopologiesInfo[].acceleratorTopologyState.error |
Reason why the topology state change failed |
acceleratorTopologiesInfo[].acceleratorTopologyState.error.errors[] |
Output only. The array of errors encountered while processing this operation. |
acceleratorTopologiesInfo[].acceleratorTopologyState.error.errors[].code |
Output only. The error type identifier for this error. |
acceleratorTopologiesInfo[].acceleratorTopologyState.error.errors[].location |
Output only. Indicates the field in the request that caused the error. This property is optional. |
acceleratorTopologiesInfo[].acceleratorTopologyState.error.errors[].message |
Output only. An optional, human-readable error message. |
acceleratorTopologiesInfo[].acceleratorTopologyState.error.errors[].errorDetails[] |
Output only. An optional list of messages that contain the error details. There is a set of defined message types to use for providing details.The syntax depends on the error code. For example, QuotaExceededInfo will have details when the error code is QUOTA_EXCEEDED. |
acceleratorTopologiesInfo[].acceleratorTopologyState.error.errors[].errorDetails[].errorInfo |
|
acceleratorTopologiesInfo[].acceleratorTopologyState.error.errors[].errorDetails[].errorInfo.reason |
The reason of the error. This is a constant value that identifies the proximate cause of the error. Error reasons are unique within a particular domain of errors. This should be at most 63 characters and match a regular expression of |
acceleratorTopologiesInfo[].acceleratorTopologyState.error.errors[].errorDetails[].errorInfo.domain |
The logical grouping to which the "reason" belongs. The error domain is typically the registered service name of the tool or product that generates the error. Example: "pubsub.googleapis.com". If the error is generated by some common infrastructure, the error domain must be a globally unique value that identifies the infrastructure. For Google API infrastructure, the error domain is "googleapis.com". |
acceleratorTopologiesInfo[].acceleratorTopologyState.error.errors[].errorDetails[].errorInfo.metadatas |
Additional structured details about this error. Keys must match a regular expression of |
acceleratorTopologiesInfo[].acceleratorTopologyState.error.errors[].errorDetails[].quotaInfo |
|
acceleratorTopologiesInfo[].acceleratorTopologyState.error.errors[].errorDetails[].quotaInfo.metricName |
The Compute Engine quota metric name. |
acceleratorTopologiesInfo[].acceleratorTopologyState.error.errors[].errorDetails[].quotaInfo.limitName |
The name of the quota limit. |
acceleratorTopologiesInfo[].acceleratorTopologyState.error.errors[].errorDetails[].quotaInfo.dimensions |
The map holding related quota dimensions. |
acceleratorTopologiesInfo[].acceleratorTopologyState.error.errors[].errorDetails[].quotaInfo.limit |
Current effective quota limit. The limit's unit depends on the quota type or metric. |
acceleratorTopologiesInfo[].acceleratorTopologyState.error.errors[].errorDetails[].quotaInfo.futureLimit |
Future quota limit being rolled out. The limit's unit depends on the quota type or metric. |
acceleratorTopologiesInfo[].acceleratorTopologyState.error.errors[].errorDetails[].quotaInfo.rolloutStatus |
Rollout status of the future quota limit. |
acceleratorTopologiesInfo[].acceleratorTopologyState.error.errors[].errorDetails[].help |
|
acceleratorTopologiesInfo[].acceleratorTopologyState.error.errors[].errorDetails[].help.links[] |
URL(s) pointing to additional information on handling the current error. |
acceleratorTopologiesInfo[].acceleratorTopologyState.error.errors[].errorDetails[].help.links[].description |
Describes what the link offers. |
acceleratorTopologiesInfo[].acceleratorTopologyState.error.errors[].errorDetails[].help.links[].url |
The URL of the link. |
acceleratorTopologiesInfo[].acceleratorTopologyState.error.errors[].errorDetails[].localizedMessage |
|
acceleratorTopologiesInfo[].acceleratorTopologyState.error.errors[].errorDetails[].localizedMessage.locale |
The locale used following the specification defined at https://www.rfc-editor.org/rfc/bcp/bcp47.txt. Examples are: "en-US", "fr-CH", "es-MX" |
acceleratorTopologiesInfo[].acceleratorTopologyState.error.errors[].errorDetails[].localizedMessage.message |
The localized error message in the above locale. |
acceleratorTopologiesInfo[].acceleratorTopologyState.errorTimestamp |
Timestamp when the last error happened Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: |
acceleratorTopologiesInfo[].parent |
Identified by the topology Id in the acceleratorTopologyInfo map. Empty for the top-level topology |
multiMig |
URL to MMIG this MIG belongs to. |
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/compute.readonlyhttps://www.googleapis.com/auth/computehttps://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.
IAM Permissions
In addition to any permissions specified on the fields above, authorization requires one or more of the following IAM permissions:
compute.instanceGroupManagers.get
To find predefined roles that contain those permissions, see Compute Engine IAM Roles.